#include <iostream>

using namespace std;

int main()
{
    long long int a, b, x, y;
    scanf("%lld%lld", &a, &b);
    scanf("%lld%lld", &x, &y);
    if(a==x && b==y)
    {
        printf("nijedan");
    }
    else if(a==x && b>y)
    {
        printf("drugi");
    }
    else if(b==y && a>x)
    {
        printf("prvi");
    }
    else if(a>x && b>y)
    {
        printf("?");
    }
    return 0;
}